<domain type='kvm'>
    <name>emblem-dev</name>
    <memory unit='GiB'>8</memory>
    <vcpu>4</vcpu>
    <os>
        <type arch='x86_64' machine='pc-i440fx-2.9'>hvm</type>
        <boot dev='hd'/>
    </os>
    <devices>
        <disk type='file' device='disk'>
            <driver name='qemu' type='qcow2'/>
            <source file='/path/to/your/image.qcow2'/>
            <driver name='qemu' type='qcow2' cache='none' io='native'/>
            <target dev='vda' bus='virtio'/>
            <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
        </disk>
        <interface type='network'>
            <mac address='52:54:00:6b:3c:58'/>
            <source network='default'/>
            <model type='virtio'/>
            <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
        </interface>
        <graphics type='vnc' port='-1' autoport='yes'/>
    <serial type='pty'>
        <target port='0'/>
    </serial>
    </devices>
</domain>